from django.views.decorators.http import require_http_methods

from backend.Service.BrandService import BrandService


@require_http_methods(['POST'])
def Create(reqeust):
    return BrandService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return BrandService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return BrandService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return BrandService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return BrandService.Search(reqeust)
